Action Items to save yourself from the vulnerability of HeartBleed
The security vulnerability generated from the heartbleed bug requires some action from you if you have your accounts on the following websites:
Heartbleed_bugFacebook
Tumblr
Google
Yahoo
Amazon
GoDaddy
Intuit
Dropbox

...

If you have not changed your password in the past one week, you should do so. Most of these websites have applied a few patches to tackle this vulnerability. If you have your accounts at some other websites/servers using Open SSL as the security measure, first check with them if they have applied the necessary patches. If they have done so, you just need to change your password. If they have not done so, you should either remove your account from there or remove your valuable information from those sites.

 

Add comment


Security code
Refresh